Package org.apache.commons.math3.special

# Class BesselJ.BesselJResult

java.lang.Object
org.apache.commons.math3.special.BesselJ.BesselJResult

Enclosing class:
  `BesselJ`

public static class BesselJ.BesselJResult extends Object
Encapsulates the results returned by `BesselJ.rjBesl(double, double, int)`.

`getVals()` returns the computed function values. `getnVals()` is the number of values among those returned by `getnVals()` that can be considered accurate.

- nVals invalid input: '<' 0: An argument is out of range. For example, nb invalid input: '<'= 0, alpha invalid input: '<' 0 or > 1, or x is too large. In this case, b(0) is set to zero, the remainder of the b-vector is not calculated, and nVals is set to MIN(nb,0) - 1 so that nVals != nb.
- nb > nVals > 0: Not all requested function values could be calculated accurately. This usually occurs because nb is much larger than abs(x). In this case, b(n) is calculated to the desired accuracy for n invalid input: '<' nVals, but precision is lost for nVals invalid input: '<' n invalid input: '<'= nb. If b(n) does not vanish for n > nVals (because it is too small to be represented), and b(n)/b(nVals) = \(10^{-k}\), then only the first NSIG-k significant figures of b(n) can be trusted.

## Constructor Summary

Constructors
Constructor
Description
`BesselJResult(double[] b, int n)`
Create a new BesselJResult with the given values and valid value count.

## Method Summary

Modifier and Type
Method
Description
`int`
`getnVals()`
`double[]`
`getVals()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BesselJResult

public BesselJResult(double[] b, int n)
Create a new BesselJResult with the given values and valid value count.

Parameters:
  `b` - values
  `n` - count of valid values

## Method Details

### getVals

public double[] getVals()

Returns:
  the computed function values

### getnVals

public int getnVals()

Returns:
  the number of valid function values (normally the same as the length of the array returned by `getnVals()`)